Subject: Re: [PATCH] dt-bindings: mailbox: Convert omap-mailbox.txt binding to YAML

From: Rob Herring <[email-masked]>
Date: Wed, 19 May 2021 19:08:31 -0500

On Wed, May 19, 2021 at 10:14:14AM -0500, Suman Anna wrote:
> On 5/18/21 12:20 PM, Suman Anna wrote:
> > Convert the current OMAP Mailbox binding from text format to YAML
> > format/DT schema, and delete the legacy text binding file.
> > 
> > The new YAML binding conversion is an updated version compared to
> > the original. The descriptions for certain properties have been
> > improved to provide more clarity. Constraints are added to the
> > properties 'ti,mbox-num-users', 'ti,mbox-num-fifos' and 'interrupts'.
> > The 'ti,hwmods' is a legacy property and is retained only to reflect
> > the existing usage on some older OMAP2 and OMAP3 platforms.
> > 
> > All the existing examples have also been updated to reflect the
> > latest dts nodes (ti,hwmods removed from OMAP4 and AM33xx examples,
> > and interrupts value updated for AM65x SoCs).
> > 
> > Signed-off-by: Suman Anna <[email-masked]>
> > ---
> > Hi,
> > 
> > This patch does fix a number of dtbs_check warnings seen around OMAP Mailbox
> > nodes with the latest kernel. There are few left-over warnings when just
> > this patch is used on v5.13-rc1 or next-20210518. I have posted a separate
> > fix for a warning on TI K3 SoCs [1], and will be posting a separate cleanup
> > series for OMAP2+ SoCs. The dts patches can be picked up independently
> > of this patch.
> 
> FYI, All the dtbs_check warnings will be gone with [1] and the OMAP2+ cleanup
> series [2].

Nice, though it is a moving target. :) Is that still true with the 
undocumented compatible checks that's been added? 

Rob

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel